
_read_ds1307:

;MyProject.c,19 :: 		unsigned short read_ds1307(unsigned short address)
;MyProject.c,22 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;MyProject.c,23 :: 		I2C1_Wr(0xD0); //address 0x68 followed by direction bit (0 for write, 1 for read) 0x68 followed by 0 --> 0xD0
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;MyProject.c,24 :: 		I2C1_Wr(address);
	MOVF       FARG_read_ds1307_address+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;MyProject.c,25 :: 		I2C1_Repeated_Start();
	CALL       _I2C1_Repeated_Start+0
;MyProject.c,26 :: 		I2C1_Wr(0xD1); //0x68 followed by 1 --> 0xD1
	MOVLW      209
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;MyProject.c,27 :: 		r_data=I2C1_Rd(0);
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      read_ds1307_r_data_L0+0
;MyProject.c,28 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;MyProject.c,29 :: 		return(r_data);
	MOVF       read_ds1307_r_data_L0+0, 0
	MOVWF      R0+0
;MyProject.c,30 :: 		}
	RETURN
; end of _read_ds1307

_write_ds1307:

;MyProject.c,32 :: 		void write_ds1307(unsigned short address,unsigned short w_data)
;MyProject.c,34 :: 		I2C1_Start(); // issue I2C start signal
	CALL       _I2C1_Start+0
;MyProject.c,36 :: 		I2C1_Wr(0xD0); // send byte via I2C (device address + W)
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;MyProject.c,37 :: 		I2C1_Wr(address); // send byte (address of DS1307 location)
	MOVF       FARG_write_ds1307_address+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;MyProject.c,38 :: 		I2C1_Wr(w_data); // send data (data to be written)
	MOVF       FARG_write_ds1307_w_data+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;MyProject.c,39 :: 		I2C1_Stop(); // issue I2C stop signal
	CALL       _I2C1_Stop+0
;MyProject.c,40 :: 		}
	RETURN
; end of _write_ds1307

_BCD2UpperCh:

;MyProject.c,42 :: 		unsigned char BCD2UpperCh(unsigned char bcd)
;MyProject.c,44 :: 		return ((bcd >> 4) + '0');
	MOVF       FARG_BCD2UpperCh_bcd+0, 0
	MOVWF      R0+0
	RRF        R0+0, 1
	BCF        R0+0, 7
	RRF        R0+0, 1
	BCF        R0+0, 7
	RRF        R0+0, 1
	BCF        R0+0, 7
	RRF        R0+0, 1
	BCF        R0+0, 7
	MOVLW      48
	ADDWF      R0+0, 1
;MyProject.c,45 :: 		}
	RETURN
; end of _BCD2UpperCh

_BCD2LowerCh:

;MyProject.c,48 :: 		unsigned char BCD2LowerCh(unsigned char bcd)
;MyProject.c,50 :: 		return ((bcd & 15) + '0');
	MOVLW      15
	ANDWF      FARG_BCD2LowerCh_bcd+0, 0
	MOVWF      R0+0
	MOVLW      48
	ADDWF      R0+0, 1
;MyProject.c,51 :: 		}
	RETURN
; end of _BCD2LowerCh

_Binary2BCD:

;MyProject.c,53 :: 		int Binary2BCD(int a)
;MyProject.c,56 :: 		t1 = a%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Binary2BCD_a+0, 0
	MOVWF      R0+0
	MOVF       FARG_Binary2BCD_a+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      Binary2BCD_t1_L0+0
	MOVF       R0+1, 0
	MOVWF      Binary2BCD_t1_L0+1
;MyProject.c,57 :: 		t1 = t1 & 0x0F;
	MOVLW      15
	ANDWF      R0+0, 0
	MOVWF      Binary2BCD_t1_L0+0
	MOVF       R0+1, 0
	MOVWF      Binary2BCD_t1_L0+1
	MOVLW      0
	ANDWF      Binary2BCD_t1_L0+1, 1
;MyProject.c,58 :: 		a = a/10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Binary2BCD_a+0, 0
	MOVWF      R0+0
	MOVF       FARG_Binary2BCD_a+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_S+0
	MOVF       R0+0, 0
	MOVWF      FARG_Binary2BCD_a+0
	MOVF       R0+1, 0
	MOVWF      FARG_Binary2BCD_a+1
;MyProject.c,59 :: 		t2 = a%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
;MyProject.c,60 :: 		t2 = 0x0F & t2;
	MOVLW      15
	ANDWF      R0+0, 0
	MOVWF      R3+0
	MOVF       R0+1, 0
	MOVWF      R3+1
	MOVLW      0
	ANDWF      R3+1, 1
;MyProject.c,61 :: 		t2 = t2 << 4;
	MOVLW      4
	MOVWF      R2+0
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__Binary2BCD83:
	BTFSC      STATUS+0, 2
	GOTO       L__Binary2BCD84
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Binary2BCD83
L__Binary2BCD84:
;MyProject.c,62 :: 		t2 = 0xF0 & t2;
	MOVLW      240
	ANDWF      R0+0, 1
	MOVLW      0
	ANDWF      R0+1, 1
;MyProject.c,63 :: 		t1 = t1 | t2;
	MOVF       Binary2BCD_t1_L0+0, 0
	IORWF      R0+0, 1
	MOVF       Binary2BCD_t1_L0+1, 0
	IORWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Binary2BCD_t1_L0+0
	MOVF       R0+1, 0
	MOVWF      Binary2BCD_t1_L0+1
;MyProject.c,64 :: 		return t1;
;MyProject.c,65 :: 		}
	RETURN
; end of _Binary2BCD

_BCD2Binary:

;MyProject.c,68 :: 		int BCD2Binary(int a)
;MyProject.c,71 :: 		t = a & 0x0F;
	MOVLW      15
	ANDWF      FARG_BCD2Binary_a+0, 0
	MOVWF      BCD2Binary_r_L0+0
	MOVF       FARG_BCD2Binary_a+1, 0
	MOVWF      BCD2Binary_r_L0+1
	MOVLW      0
	ANDWF      BCD2Binary_r_L0+1, 1
;MyProject.c,72 :: 		r = t;
;MyProject.c,73 :: 		a = 0xF0 & a;
	MOVLW      240
	ANDWF      FARG_BCD2Binary_a+0, 0
	MOVWF      R3+0
	MOVF       FARG_BCD2Binary_a+1, 0
	MOVWF      R3+1
	MOVLW      0
	ANDWF      R3+1, 1
	MOVF       R3+0, 0
	MOVWF      FARG_BCD2Binary_a+0
	MOVF       R3+1, 0
	MOVWF      FARG_BCD2Binary_a+1
;MyProject.c,74 :: 		t = a >> 4;
	MOVLW      4
	MOVWF      R2+0
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__BCD2Binary85:
	BTFSC      STATUS+0, 2
	GOTO       L__BCD2Binary86
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	BTFSC      R0+1, 6
	BSF        R0+1, 7
	ADDLW      255
	GOTO       L__BCD2Binary85
L__BCD2Binary86:
;MyProject.c,75 :: 		t = 0x0F & t;
	MOVLW      15
	ANDWF      R0+0, 1
	MOVLW      0
	ANDWF      R0+1, 1
;MyProject.c,76 :: 		r = t*10 + r;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Mul_16x16_U+0
	MOVF       BCD2Binary_r_L0+0, 0
	ADDWF      R0+0, 1
	MOVF       BCD2Binary_r_L0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      BCD2Binary_r_L0+0
	MOVF       R0+1, 0
	MOVWF      BCD2Binary_r_L0+1
;MyProject.c,77 :: 		return r;
;MyProject.c,78 :: 		}
	RETURN
; end of _BCD2Binary

_main:

;MyProject.c,111 :: 		void main()
;MyProject.c,120 :: 		ANSEL=0;
	CLRF       ANSEL+0
;MyProject.c,121 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;MyProject.c,122 :: 		C1ON_bit = 0;                      // Disable comparators
	BCF        C1ON_bit+0, 7
;MyProject.c,123 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, 7
;MyProject.c,125 :: 		trisd=0;
	CLRF       TRISD+0
;MyProject.c,126 :: 		portd=0;
	CLRF       PORTD+0
;MyProject.c,131 :: 		TRISA = 0;
	CLRF       TRISA+0
;MyProject.c,132 :: 		PORTA = 0;
	CLRF       PORTA+0
;MyProject.c,134 :: 		trisd=0;
	CLRF       TRISD+0
;MyProject.c,135 :: 		portd=0;
	CLRF       PORTD+0
;MyProject.c,137 :: 		Lcd_Init();                        // Initialize LCD
	CALL       _Lcd_Init+0
;MyProject.c,138 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.c,139 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.c,141 :: 		I2C1_Init(100000); //DS1307 I2C is running at 100KHz
	MOVLW      20
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;MyProject.c,143 :: 		second = read_ds1307(0);
	CLRF       FARG_read_ds1307_address+0
	CALL       _read_ds1307+0
	MOVF       R0+0, 0
	MOVWF      _second+0
;MyProject.c,144 :: 		write_ds1307(second,0x00); //Reset second to 0 sec. and start Oscillator
	MOVF       R0+0, 0
	MOVWF      FARG_write_ds1307_address+0
	CLRF       FARG_write_ds1307_w_data+0
	CALL       _write_ds1307+0
;MyProject.c,151 :: 		lcd_chr(1,15,223);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;MyProject.c,152 :: 		lcd_out(1,16,"C");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      16
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,153 :: 		lcd_out(2,10,"S:A P:U");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,154 :: 		portd.rd1=1;
	BSF        PORTD+0, 1
;MyProject.c,155 :: 		do
L_main0:
;MyProject.c,160 :: 		set = 0;
	CLRF       _set+0
;MyProject.c,161 :: 		if(PORTA.ra0 == 1)
	BTFSS      PORTA+0, 0
	GOTO       L_main3
;MyProject.c,163 :: 		if (pritisnutopodesi==0)
	MOVLW      0
	XORWF      _pritisnutopodesi+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main87
	MOVLW      0
	XORWF      _pritisnutopodesi+0, 0
L__main87:
	BTFSS      STATUS+0, 2
	GOTO       L_main4
;MyProject.c,165 :: 		pritisnutopodesi=1;
	MOVLW      1
	MOVWF      _pritisnutopodesi+0
	MOVLW      0
	MOVWF      _pritisnutopodesi+1
;MyProject.c,166 :: 		set_count++;
	INCF       _set_count+0, 1
;MyProject.c,167 :: 		if (set_count==7)
	MOVF       _set_count+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L_main5
;MyProject.c,169 :: 		lcd_out(2,10,"U/I:   ");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,170 :: 		bytetostr(satiuklj,satiukljj);
	MOVF       _satiuklj+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _satiukljj+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;MyProject.c,171 :: 		lcd_out(2,14,ltrim(satiukljj));
	MOVLW      _satiukljj+0
	MOVWF      FARG_Ltrim_string+0
	CALL       _Ltrim+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;MyProject.c,172 :: 		}
L_main5:
;MyProject.c,173 :: 		if(set_count >= 8)
	MOVLW      8
	SUBWF      _set_count+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main6
;MyProject.c,175 :: 		lcd_out(2,10,"S:");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr4_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,176 :: 		if (svetlo==1)
	MOVLW      0
	XORWF      _svetlo+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main88
	MOVLW      1
	XORWF      _svetlo+0, 0
L__main88:
	BTFSS      STATUS+0, 2
	GOTO       L_main7
;MyProject.c,177 :: 		lcd_out(2,12,"U");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr5_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_main7:
;MyProject.c,178 :: 		if (svetlo==2)
	MOVLW      0
	XORWF      _svetlo+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main89
	MOVLW      2
	XORWF      _svetlo+0, 0
L__main89:
	BTFSS      STATUS+0, 2
	GOTO       L_main8
;MyProject.c,179 :: 		lcd_out(2,12,"I");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr6_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_main8:
;MyProject.c,180 :: 		if (svetlo==0)
	MOVLW      0
	XORWF      _svetlo+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main90
	MOVLW      0
	XORWF      _svetlo+0, 0
L__main90:
	BTFSS      STATUS+0, 2
	GOTO       L_main9
;MyProject.c,181 :: 		lcd_out(2,12,"A");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr7_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_main9:
;MyProject.c,182 :: 		if (portd.rd1==1)
	BTFSS      PORTD+0, 1
	GOTO       L_main10
;MyProject.c,183 :: 		lcd_out(2,13," P:U");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr8_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L_main11
L_main10:
;MyProject.c,185 :: 		lcd_out(2,13," P:I");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr9_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_main11:
;MyProject.c,186 :: 		set_count = 0;
	CLRF       _set_count+0
;MyProject.c,187 :: 		}
L_main6:
;MyProject.c,188 :: 		}
L_main4:
;MyProject.c,190 :: 		}
	GOTO       L_main12
L_main3:
;MyProject.c,191 :: 		else pritisnutopodesi=0;
	CLRF       _pritisnutopodesi+0
	CLRF       _pritisnutopodesi+1
L_main12:
;MyProject.c,193 :: 		if(set_count)
	MOVF       _set_count+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main13
;MyProject.c,195 :: 		if(PORTA.ra1 == 1)
	BTFSS      PORTA+0, 1
	GOTO       L_main14
;MyProject.c,197 :: 		Delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main15:
	DECFSZ     R13+0, 1
	GOTO       L_main15
	DECFSZ     R12+0, 1
	GOTO       L_main15
	DECFSZ     R11+0, 1
	GOTO       L_main15
	NOP
;MyProject.c,198 :: 		if(PORTA.ra1 == 1)
	BTFSS      PORTA+0, 1
	GOTO       L_main16
;MyProject.c,199 :: 		set = 1;
	MOVLW      1
	MOVWF      _set+0
L_main16:
;MyProject.c,200 :: 		}
L_main14:
;MyProject.c,202 :: 		if(PORTA.ra2 == 1)
	BTFSS      PORTA+0, 2
	GOTO       L_main17
;MyProject.c,204 :: 		Delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main18:
	DECFSZ     R13+0, 1
	GOTO       L_main18
	DECFSZ     R12+0, 1
	GOTO       L_main18
	DECFSZ     R11+0, 1
	GOTO       L_main18
	NOP
;MyProject.c,205 :: 		if(PORTA.ra2 == 1)
	BTFSS      PORTA+0, 2
	GOTO       L_main19
;MyProject.c,206 :: 		set = -1;
	MOVLW      255
	MOVWF      _set+0
L_main19:
;MyProject.c,207 :: 		}
L_main17:
;MyProject.c,208 :: 		if(set_count && set)
	MOVF       _set_count+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main22
	MOVF       _set+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main22
L__main82:
;MyProject.c,210 :: 		switch(set_count)
	GOTO       L_main23
;MyProject.c,212 :: 		case 1:
L_main25:
;MyProject.c,213 :: 		hour = BCD2Binary(hour);
	MOVF       _hour+0, 0
	MOVWF      FARG_BCD2Binary_a+0
	CLRF       FARG_BCD2Binary_a+1
	CALL       _BCD2Binary+0
	MOVF       R0+0, 0
	MOVWF      _hour+0
;MyProject.c,214 :: 		hour = hour + set;
	MOVF       _set+0, 0
	ADDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _hour+0
;MyProject.c,217 :: 		if(hour >= 24)
	MOVLW      24
	SUBWF      R1+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main26
;MyProject.c,221 :: 		hour=0;
	CLRF       _hour+0
;MyProject.c,222 :: 		}
	GOTO       L_main27
L_main26:
;MyProject.c,223 :: 		else if(hour < 0x00)
	MOVLW      0
	SUBWF      _hour+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main28
;MyProject.c,227 :: 		hour=23;
	MOVLW      23
	MOVWF      _hour+0
;MyProject.c,228 :: 		}
L_main28:
L_main27:
;MyProject.c,229 :: 		hour = Binary2BCD(hour);
	MOVF       _hour+0, 0
	MOVWF      FARG_Binary2BCD_a+0
	CLRF       FARG_Binary2BCD_a+1
	CALL       _Binary2BCD+0
	MOVF       R0+0, 0
	MOVWF      _hour+0
;MyProject.c,230 :: 		write_ds1307(2, hour); //write hour
	MOVLW      2
	MOVWF      FARG_write_ds1307_address+0
	MOVF       R0+0, 0
	MOVWF      FARG_write_ds1307_w_data+0
	CALL       _write_ds1307+0
;MyProject.c,231 :: 		break;
	GOTO       L_main24
;MyProject.c,232 :: 		case 2:
L_main29:
;MyProject.c,233 :: 		minute = BCD2Binary(minute);
	MOVF       _minute+0, 0
	MOVWF      FARG_BCD2Binary_a+0
	CLRF       FARG_BCD2Binary_a+1
	CALL       _BCD2Binary+0
	MOVF       R0+0, 0
	MOVWF      _minute+0
;MyProject.c,234 :: 		minute = minute + set;
	MOVF       _set+0, 0
	ADDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _minute+0
;MyProject.c,235 :: 		if(minute >= 60)
	MOVLW      60
	SUBWF      R1+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main30
;MyProject.c,236 :: 		minute = 0;
	CLRF       _minute+0
L_main30:
;MyProject.c,237 :: 		if(minute < 0)
	MOVLW      0
	SUBWF      _minute+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main31
;MyProject.c,238 :: 		minute = 59;
	MOVLW      59
	MOVWF      _minute+0
L_main31:
;MyProject.c,239 :: 		minute = Binary2BCD(minute);
	MOVF       _minute+0, 0
	MOVWF      FARG_Binary2BCD_a+0
	CLRF       FARG_Binary2BCD_a+1
	CALL       _Binary2BCD+0
	MOVF       R0+0, 0
	MOVWF      _minute+0
;MyProject.c,240 :: 		write_ds1307(1, minute); //write min
	MOVLW      1
	MOVWF      FARG_write_ds1307_address+0
	MOVF       R0+0, 0
	MOVWF      FARG_write_ds1307_w_data+0
	CALL       _write_ds1307+0
;MyProject.c,241 :: 		break;
	GOTO       L_main24
;MyProject.c,242 :: 		case 3:
L_main32:
;MyProject.c,243 :: 		if(abs(set))
	MOVF       _set+0, 0
	MOVWF      FARG_abs_a+0
	MOVLW      0
	BTFSC      FARG_abs_a+0, 7
	MOVLW      255
	MOVWF      FARG_abs_a+1
	CALL       _abs+0
	MOVF       R0+0, 0
	IORWF      R0+1, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main33
;MyProject.c,244 :: 		write_ds1307(0,0x00); //Reset second to 0 sec. and start Oscillator
	CLRF       FARG_write_ds1307_address+0
	CLRF       FARG_write_ds1307_w_data+0
	CALL       _write_ds1307+0
L_main33:
;MyProject.c,245 :: 		break;
	GOTO       L_main24
;MyProject.c,246 :: 		case 4:
L_main34:
;MyProject.c,247 :: 		day = BCD2Binary(day);
	MOVF       _day+0, 0
	MOVWF      FARG_BCD2Binary_a+0
	CLRF       FARG_BCD2Binary_a+1
	CALL       _BCD2Binary+0
	MOVF       R0+0, 0
	MOVWF      _day+0
;MyProject.c,248 :: 		day = day + set;
	MOVF       _set+0, 0
	ADDWF      R0+0, 1
	MOVF       R0+0, 0
	MOVWF      _day+0
;MyProject.c,249 :: 		day = Binary2BCD(day);
	MOVF       R0+0, 0
	MOVWF      FARG_Binary2BCD_a+0
	CLRF       FARG_Binary2BCD_a+1
	CALL       _Binary2BCD+0
	MOVF       R0+0, 0
	MOVWF      _day+0
;MyProject.c,250 :: 		if(day >= 0x32)
	MOVLW      50
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main35
;MyProject.c,251 :: 		day = 1;
	MOVLW      1
	MOVWF      _day+0
L_main35:
;MyProject.c,252 :: 		if(day <= 0)
	MOVF       _day+0, 0
	SUBLW      0
	BTFSS      STATUS+0, 0
	GOTO       L_main36
;MyProject.c,253 :: 		day = 0x31;
	MOVLW      49
	MOVWF      _day+0
L_main36:
;MyProject.c,254 :: 		write_ds1307(4, day); // write date 17
	MOVLW      4
	MOVWF      FARG_write_ds1307_address+0
	MOVF       _day+0, 0
	MOVWF      FARG_write_ds1307_w_data+0
	CALL       _write_ds1307+0
;MyProject.c,255 :: 		break;
	GOTO       L_main24
;MyProject.c,256 :: 		case 5:
L_main37:
;MyProject.c,257 :: 		month = BCD2Binary(month);
	MOVF       _month+0, 0
	MOVWF      FARG_BCD2Binary_a+0
	CLRF       FARG_BCD2Binary_a+1
	CALL       _BCD2Binary+0
	MOVF       R0+0, 0
	MOVWF      _month+0
;MyProject.c,258 :: 		month = month + set;
	MOVF       _set+0, 0
	ADDWF      R0+0, 1
	MOVF       R0+0, 0
	MOVWF      _month+0
;MyProject.c,259 :: 		month = Binary2BCD(month);
	MOVF       R0+0, 0
	MOVWF      FARG_Binary2BCD_a+0
	CLRF       FARG_Binary2BCD_a+1
	CALL       _Binary2BCD+0
	MOVF       R0+0, 0
	MOVWF      _month+0
;MyProject.c,260 :: 		if(month > 0x12)
	MOVF       R0+0, 0
	SUBLW      18
	BTFSC      STATUS+0, 0
	GOTO       L_main38
;MyProject.c,261 :: 		month = 1;
	MOVLW      1
	MOVWF      _month+0
L_main38:
;MyProject.c,262 :: 		if(month <= 0)
	MOVF       _month+0, 0
	SUBLW      0
	BTFSS      STATUS+0, 0
	GOTO       L_main39
;MyProject.c,263 :: 		month = 0x12;
	MOVLW      18
	MOVWF      _month+0
L_main39:
;MyProject.c,264 :: 		write_ds1307(5,month); // write month 6 June
	MOVLW      5
	MOVWF      FARG_write_ds1307_address+0
	MOVF       _month+0, 0
	MOVWF      FARG_write_ds1307_w_data+0
	CALL       _write_ds1307+0
;MyProject.c,265 :: 		break;
	GOTO       L_main24
;MyProject.c,266 :: 		case 6:
L_main40:
;MyProject.c,267 :: 		year = BCD2Binary(year);
	MOVF       _year+0, 0
	MOVWF      FARG_BCD2Binary_a+0
	CLRF       FARG_BCD2Binary_a+1
	CALL       _BCD2Binary+0
	MOVF       R0+0, 0
	MOVWF      _year+0
;MyProject.c,268 :: 		year = year + set;
	MOVF       _set+0, 0
	ADDWF      R0+0, 1
	MOVF       R0+0, 0
	MOVWF      _year+0
;MyProject.c,269 :: 		year = Binary2BCD(year);
	MOVF       R0+0, 0
	MOVWF      FARG_Binary2BCD_a+0
	CLRF       FARG_Binary2BCD_a+1
	CALL       _Binary2BCD+0
	MOVF       R0+0, 0
	MOVWF      _year+0
;MyProject.c,270 :: 		if(year <= -1)
	MOVLW      127
	MOVWF      R2+0
	MOVLW      128
	SUBWF      R2+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main91
	MOVF       R0+0, 0
	SUBLW      255
L__main91:
	BTFSS      STATUS+0, 0
	GOTO       L_main41
;MyProject.c,271 :: 		year = 0x99;
	MOVLW      153
	MOVWF      _year+0
L_main41:
;MyProject.c,272 :: 		if(year >= 0x50)
	MOVLW      80
	SUBWF      _year+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main42
;MyProject.c,273 :: 		year = 0;
	CLRF       _year+0
L_main42:
;MyProject.c,274 :: 		write_ds1307(6, year); // write year
	MOVLW      6
	MOVWF      FARG_write_ds1307_address+0
	MOVF       _year+0, 0
	MOVWF      FARG_write_ds1307_w_data+0
	CALL       _write_ds1307+0
;MyProject.c,275 :: 		break;
	GOTO       L_main24
;MyProject.c,277 :: 		case 7:
L_main43:
;MyProject.c,278 :: 		satiuklj+=set;
	MOVF       _set+0, 0
	ADDWF      _satiuklj+0, 0
	MOVWF      R1+0
	MOVF       _satiuklj+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R1+1
	MOVLW      0
	BTFSC      _set+0, 7
	MOVLW      255
	ADDWF      R1+1, 1
	MOVF       R1+0, 0
	MOVWF      _satiuklj+0
	MOVF       R1+1, 0
	MOVWF      _satiuklj+1
;MyProject.c,280 :: 		if(satiuklj>=24)
	MOVLW      128
	XORWF      R1+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main92
	MOVLW      24
	SUBWF      R1+0, 0
L__main92:
	BTFSS      STATUS+0, 0
	GOTO       L_main44
;MyProject.c,282 :: 		satiuklj=0;
	CLRF       _satiuklj+0
	CLRF       _satiuklj+1
;MyProject.c,283 :: 		lcd_out(2,15," ");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr10_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,284 :: 		}
L_main44:
;MyProject.c,286 :: 		inttostr(satiuklj,satiukljj);
	MOVF       _satiuklj+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _satiuklj+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _satiukljj+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;MyProject.c,287 :: 		lcd_out(2,14,ltrim(satiukljj));
	MOVLW      _satiukljj+0
	MOVWF      FARG_Ltrim_string+0
	CALL       _Ltrim+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;MyProject.c,288 :: 		break;
	GOTO       L_main24
;MyProject.c,289 :: 		}
L_main23:
	MOVF       _set_count+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main25
	MOVF       _set_count+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_main29
	MOVF       _set_count+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_main32
	MOVF       _set_count+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_main34
	MOVF       _set_count+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_main37
	MOVF       _set_count+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_main40
	MOVF       _set_count+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_main43
L_main24:
;MyProject.c,290 :: 		}
L_main22:
;MyProject.c,291 :: 		}
L_main13:
;MyProject.c,297 :: 		second = read_ds1307(0);
	CLRF       FARG_read_ds1307_address+0
	CALL       _read_ds1307+0
	MOVF       R0+0, 0
	MOVWF      _second+0
;MyProject.c,298 :: 		minute = read_ds1307(1);
	MOVLW      1
	MOVWF      FARG_read_ds1307_address+0
	CALL       _read_ds1307+0
	MOVF       R0+0, 0
	MOVWF      _minute+0
;MyProject.c,299 :: 		hour = read_ds1307(2);
	MOVLW      2
	MOVWF      FARG_read_ds1307_address+0
	CALL       _read_ds1307+0
	MOVF       R0+0, 0
	MOVWF      _hour+0
;MyProject.c,300 :: 		day = read_ds1307(4);
	MOVLW      4
	MOVWF      FARG_read_ds1307_address+0
	CALL       _read_ds1307+0
	MOVF       R0+0, 0
	MOVWF      _day+0
;MyProject.c,301 :: 		month = read_ds1307(5);
	MOVLW      5
	MOVWF      FARG_read_ds1307_address+0
	CALL       _read_ds1307+0
	MOVF       R0+0, 0
	MOVWF      _month+0
;MyProject.c,302 :: 		year = read_ds1307(6);
	MOVLW      6
	MOVWF      FARG_read_ds1307_address+0
	CALL       _read_ds1307+0
	MOVF       R0+0, 0
	MOVWF      _year+0
;MyProject.c,305 :: 		time[0] = BCD2UpperCh(hour);
	MOVF       _hour+0, 0
	MOVWF      FARG_BCD2UpperCh_bcd+0
	CALL       _BCD2UpperCh+0
	MOVF       R0+0, 0
	MOVWF      _time+0
;MyProject.c,306 :: 		time[1] = BCD2LowerCh(hour);
	MOVF       _hour+0, 0
	MOVWF      FARG_BCD2LowerCh_bcd+0
	CALL       _BCD2LowerCh+0
	MOVF       R0+0, 0
	MOVWF      _time+1
;MyProject.c,307 :: 		time[3] = BCD2UpperCh(minute);
	MOVF       _minute+0, 0
	MOVWF      FARG_BCD2UpperCh_bcd+0
	CALL       _BCD2UpperCh+0
	MOVF       R0+0, 0
	MOVWF      _time+3
;MyProject.c,308 :: 		time[4] = BCD2LowerCh(minute);
	MOVF       _minute+0, 0
	MOVWF      FARG_BCD2LowerCh_bcd+0
	CALL       _BCD2LowerCh+0
	MOVF       R0+0, 0
	MOVWF      _time+4
;MyProject.c,309 :: 		time[6] = BCD2UpperCh(second);
	MOVF       _second+0, 0
	MOVWF      FARG_BCD2UpperCh_bcd+0
	CALL       _BCD2UpperCh+0
	MOVF       R0+0, 0
	MOVWF      _time+6
;MyProject.c,310 :: 		time[7] = BCD2LowerCh(second);
	MOVF       _second+0, 0
	MOVWF      FARG_BCD2LowerCh_bcd+0
	CALL       _BCD2LowerCh+0
	MOVF       R0+0, 0
	MOVWF      _time+7
;MyProject.c,312 :: 		date[0] = BCD2UpperCh(day);
	MOVF       _day+0, 0
	MOVWF      FARG_BCD2UpperCh_bcd+0
	CALL       _BCD2UpperCh+0
	MOVF       R0+0, 0
	MOVWF      _date+0
;MyProject.c,313 :: 		date[1] = BCD2LowerCh(day);
	MOVF       _day+0, 0
	MOVWF      FARG_BCD2LowerCh_bcd+0
	CALL       _BCD2LowerCh+0
	MOVF       R0+0, 0
	MOVWF      _date+1
;MyProject.c,314 :: 		date[3] = BCD2UpperCh(month);
	MOVF       _month+0, 0
	MOVWF      FARG_BCD2UpperCh_bcd+0
	CALL       _BCD2UpperCh+0
	MOVF       R0+0, 0
	MOVWF      _date+3
;MyProject.c,315 :: 		date[4] = BCD2LowerCh(month);
	MOVF       _month+0, 0
	MOVWF      FARG_BCD2LowerCh_bcd+0
	CALL       _BCD2LowerCh+0
	MOVF       R0+0, 0
	MOVWF      _date+4
;MyProject.c,316 :: 		date[6] = BCD2UpperCh(year);
	MOVF       _year+0, 0
	MOVWF      FARG_BCD2UpperCh_bcd+0
	CALL       _BCD2UpperCh+0
	MOVF       R0+0, 0
	MOVWF      _date+6
;MyProject.c,317 :: 		date[7] = BCD2LowerCh(year);
	MOVF       _year+0, 0
	MOVWF      FARG_BCD2LowerCh_bcd+0
	CALL       _BCD2LowerCh+0
	MOVF       R0+0, 0
	MOVWF      _date+7
;MyProject.c,320 :: 		Lcd_out(1, 1, time);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _time+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,321 :: 		Lcd_out(2, 1, date);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _date+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,323 :: 		trenutnosati[0]=time[0];
	MOVF       _time+0, 0
	MOVWF      _trenutnosati+0
;MyProject.c,324 :: 		trenutnosati[1]=time[1];
	MOVF       _time+1, 0
	MOVWF      _trenutnosati+1
;MyProject.c,326 :: 		trenutnosatii=atoi(trenutnosati);
	MOVLW      _trenutnosati+0
	MOVWF      FARG_atoi_s+0
	CALL       _atoi+0
	MOVF       R0+0, 0
	MOVWF      _trenutnosatii+0
	MOVF       R0+1, 0
	MOVWF      _trenutnosatii+1
;MyProject.c,329 :: 		if ((trenutnosatii>=satiuklj) && (trenutnosatii<satiuklj+12))
	MOVLW      128
	XORWF      R0+1, 0
	MOVWF      R2+0
	MOVLW      128
	XORWF      _satiuklj+1, 0
	SUBWF      R2+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main93
	MOVF       _satiuklj+0, 0
	SUBWF      R0+0, 0
L__main93:
	BTFSS      STATUS+0, 0
	GOTO       L_main47
	MOVLW      12
	ADDWF      _satiuklj+0, 0
	MOVWF      R1+0
	MOVF       _satiuklj+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R1+1
	MOVLW      128
	XORWF      _trenutnosatii+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      R1+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main94
	MOVF       R1+0, 0
	SUBWF      _trenutnosatii+0, 0
L__main94:
	BTFSC      STATUS+0, 0
	GOTO       L_main47
L__main81:
;MyProject.c,331 :: 		if ((svetlo==0) && (hranjenje==0))
	MOVLW      0
	XORWF      _svetlo+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main95
	MOVLW      0
	XORWF      _svetlo+0, 0
L__main95:
	BTFSS      STATUS+0, 2
	GOTO       L_main50
	MOVLW      0
	XORWF      _hranjenje+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main96
	MOVLW      0
	XORWF      _hranjenje+0, 0
L__main96:
	BTFSS      STATUS+0, 2
	GOTO       L_main50
L__main80:
;MyProject.c,333 :: 		portd.rd0=1;
	BSF        PORTD+0, 0
;MyProject.c,335 :: 		}
L_main50:
;MyProject.c,336 :: 		}
	GOTO       L_main51
L_main47:
;MyProject.c,339 :: 		if ((svetlo==0) && (hranjenje==0))
	MOVLW      0
	XORWF      _svetlo+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main97
	MOVLW      0
	XORWF      _svetlo+0, 0
L__main97:
	BTFSS      STATUS+0, 2
	GOTO       L_main54
	MOVLW      0
	XORWF      _hranjenje+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main98
	MOVLW      0
	XORWF      _hranjenje+0, 0
L__main98:
	BTFSS      STATUS+0, 2
	GOTO       L_main54
L__main79:
;MyProject.c,340 :: 		portd.rd0=0;
	BCF        PORTD+0, 0
L_main54:
;MyProject.c,341 :: 		}
L_main51:
;MyProject.c,344 :: 		if (porta.ra3==1)
	BTFSS      PORTA+0, 3
	GOTO       L_main55
;MyProject.c,346 :: 		if (pritisnuto==0)
	MOVLW      0
	XORWF      _pritisnuto+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main99
	MOVLW      0
	XORWF      _pritisnuto+0, 0
L__main99:
	BTFSS      STATUS+0, 2
	GOTO       L_main56
;MyProject.c,348 :: 		pritisnuto=1;
	MOVLW      1
	MOVWF      _pritisnuto+0
	MOVLW      0
	MOVWF      _pritisnuto+1
;MyProject.c,349 :: 		svetlo++;
	INCF       _svetlo+0, 1
	BTFSC      STATUS+0, 2
	INCF       _svetlo+1, 1
;MyProject.c,350 :: 		if (svetlo==1)
	MOVLW      0
	XORWF      _svetlo+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main100
	MOVLW      1
	XORWF      _svetlo+0, 0
L__main100:
	BTFSS      STATUS+0, 2
	GOTO       L_main57
;MyProject.c,352 :: 		portd.rd0=1;
	BSF        PORTD+0, 0
;MyProject.c,353 :: 		lcd_out(2,12,"U");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr11_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,354 :: 		}
L_main57:
;MyProject.c,355 :: 		if (svetlo==2)
	MOVLW      0
	XORWF      _svetlo+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main101
	MOVLW      2
	XORWF      _svetlo+0, 0
L__main101:
	BTFSS      STATUS+0, 2
	GOTO       L_main58
;MyProject.c,357 :: 		portd.rd0=0;
	BCF        PORTD+0, 0
;MyProject.c,358 :: 		lcd_out(2,12,"I");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr12_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,359 :: 		}
L_main58:
;MyProject.c,360 :: 		if (svetlo==3)
	MOVLW      0
	XORWF      _svetlo+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main102
	MOVLW      3
	XORWF      _svetlo+0, 0
L__main102:
	BTFSS      STATUS+0, 2
	GOTO       L_main59
;MyProject.c,362 :: 		lcd_out(2,12,"A");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr13_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,363 :: 		svetlo=0;
	CLRF       _svetlo+0
	CLRF       _svetlo+1
;MyProject.c,364 :: 		}
L_main59:
;MyProject.c,365 :: 		}
L_main56:
;MyProject.c,366 :: 		}
	GOTO       L_main60
L_main55:
;MyProject.c,367 :: 		else pritisnuto=0;
	CLRF       _pritisnuto+0
	CLRF       _pritisnuto+1
L_main60:
;MyProject.c,371 :: 		if ((porta.ra4==1) && (hranjenje==0))
	BTFSS      PORTA+0, 4
	GOTO       L_main63
	MOVLW      0
	XORWF      _hranjenje+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main103
	MOVLW      0
	XORWF      _hranjenje+0, 0
L__main103:
	BTFSS      STATUS+0, 2
	GOTO       L_main63
L__main78:
;MyProject.c,373 :: 		if (pritisnutopumpa==0)
	MOVLW      0
	XORWF      _pritisnutopumpa+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main104
	MOVLW      0
	XORWF      _pritisnutopumpa+0, 0
L__main104:
	BTFSS      STATUS+0, 2
	GOTO       L_main64
;MyProject.c,375 :: 		pritisnutopumpa=1;
	MOVLW      1
	MOVWF      _pritisnutopumpa+0
	MOVLW      0
	MOVWF      _pritisnutopumpa+1
;MyProject.c,376 :: 		if (portd.rd1==0)
	BTFSC      PORTD+0, 1
	GOTO       L_main65
;MyProject.c,378 :: 		portd.rd1=1;
	BSF        PORTD+0, 1
;MyProject.c,379 :: 		lcd_out(2,16,"U");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      16
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr14_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,380 :: 		}
	GOTO       L_main66
L_main65:
;MyProject.c,383 :: 		portd.rd1=0;
	BCF        PORTD+0, 1
;MyProject.c,384 :: 		lcd_out(2,16,"I");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      16
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr15_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,385 :: 		}
L_main66:
;MyProject.c,386 :: 		}
L_main64:
;MyProject.c,387 :: 		}
	GOTO       L_main67
L_main63:
;MyProject.c,388 :: 		else pritisnutopumpa=0;
	CLRF       _pritisnutopumpa+0
	CLRF       _pritisnutopumpa+1
L_main67:
;MyProject.c,392 :: 		if (porta.ra5==1)
	BTFSS      PORTA+0, 5
	GOTO       L_main68
;MyProject.c,394 :: 		if (pritisnutohranjenje==0)
	MOVLW      0
	XORWF      _pritisnutohranjenje+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main105
	MOVLW      0
	XORWF      _pritisnutohranjenje+0, 0
L__main105:
	BTFSS      STATUS+0, 2
	GOTO       L_main69
;MyProject.c,396 :: 		pritisnutohranjenje=1;
	MOVLW      1
	MOVWF      _pritisnutohranjenje+0
	MOVLW      0
	MOVWF      _pritisnutohranjenje+1
;MyProject.c,398 :: 		trenutnominuta[0]=BCD2UpperCh(minute);
	MOVF       _minute+0, 0
	MOVWF      FARG_BCD2UpperCh_bcd+0
	CALL       _BCD2UpperCh+0
	MOVF       R0+0, 0
	MOVWF      _trenutnominuta+0
;MyProject.c,399 :: 		trenutnominuta[1]=BCD2LowerCh(minute);
	MOVF       _minute+0, 0
	MOVWF      FARG_BCD2LowerCh_bcd+0
	CALL       _BCD2LowerCh+0
	MOVF       R0+0, 0
	MOVWF      _trenutnominuta+1
;MyProject.c,401 :: 		trenutnominutaa=atoi(trenutnominuta);
	MOVLW      _trenutnominuta+0
	MOVWF      FARG_atoi_s+0
	CALL       _atoi+0
	MOVF       R0+0, 0
	MOVWF      _trenutnominutaa+0
	MOVF       R0+1, 0
	MOVWF      _trenutnominutaa+1
;MyProject.c,403 :: 		if ((trenutnominutaa+10)<=59)
	MOVLW      10
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R2+1
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      R2+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main106
	MOVF       R2+0, 0
	SUBLW      59
L__main106:
	BTFSS      STATUS+0, 0
	GOTO       L_main70
;MyProject.c,405 :: 		zavrsenohranjenje=trenutnominutaa+10;
	MOVLW      10
	ADDWF      _trenutnominutaa+0, 0
	MOVWF      _zavrsenohranjenje+0
	MOVF       _trenutnominutaa+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _zavrsenohranjenje+1
;MyProject.c,406 :: 		hranjenje=1;
	MOVLW      1
	MOVWF      _hranjenje+0
	MOVLW      0
	MOVWF      _hranjenje+1
;MyProject.c,408 :: 		}
	GOTO       L_main71
L_main70:
;MyProject.c,411 :: 		zavrsenohranjenje=(trenutnominutaa+10)-60;
	MOVLW      10
	ADDWF      _trenutnominutaa+0, 0
	MOVWF      _zavrsenohranjenje+0
	MOVF       _trenutnominutaa+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _zavrsenohranjenje+1
	MOVLW      60
	SUBWF      _zavrsenohranjenje+0, 1
	BTFSS      STATUS+0, 0
	DECF       _zavrsenohranjenje+1, 1
;MyProject.c,412 :: 		hranjenje=1;
	MOVLW      1
	MOVWF      _hranjenje+0
	MOVLW      0
	MOVWF      _hranjenje+1
;MyProject.c,414 :: 		}
L_main71:
;MyProject.c,415 :: 		}
L_main69:
;MyProject.c,416 :: 		}
	GOTO       L_main72
L_main68:
;MyProject.c,417 :: 		else pritisnutohranjenje=0;
	CLRF       _pritisnutohranjenje+0
	CLRF       _pritisnutohranjenje+1
L_main72:
;MyProject.c,419 :: 		if (hranjenje==1)
	MOVLW      0
	XORWF      _hranjenje+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main107
	MOVLW      1
	XORWF      _hranjenje+0, 0
L__main107:
	BTFSS      STATUS+0, 2
	GOTO       L_main73
;MyProject.c,421 :: 		if (trenutnominutaa!=zavrsenohranjenje)
	MOVF       _trenutnominutaa+1, 0
	XORWF      _zavrsenohranjenje+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main108
	MOVF       _zavrsenohranjenje+0, 0
	XORWF      _trenutnominutaa+0, 0
L__main108:
	BTFSC      STATUS+0, 2
	GOTO       L_main74
;MyProject.c,423 :: 		portd.rd0=1;
	BSF        PORTD+0, 0
;MyProject.c,424 :: 		portd.rd1=0;
	BCF        PORTD+0, 1
;MyProject.c,425 :: 		lcd_out(2,16,"I");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      16
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr16_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,426 :: 		}
L_main74:
;MyProject.c,427 :: 		trenutnominuta[0]=BCD2UpperCh(minute);
	MOVF       _minute+0, 0
	MOVWF      FARG_BCD2UpperCh_bcd+0
	CALL       _BCD2UpperCh+0
	MOVF       R0+0, 0
	MOVWF      _trenutnominuta+0
;MyProject.c,428 :: 		trenutnominuta[1]=BCD2LowerCh(minute);
	MOVF       _minute+0, 0
	MOVWF      FARG_BCD2LowerCh_bcd+0
	CALL       _BCD2LowerCh+0
	MOVF       R0+0, 0
	MOVWF      _trenutnominuta+1
;MyProject.c,430 :: 		trenutnominutaa=atoi(trenutnominuta);
	MOVLW      _trenutnominuta+0
	MOVWF      FARG_atoi_s+0
	CALL       _atoi+0
	MOVF       R0+0, 0
	MOVWF      _trenutnominutaa+0
	MOVF       R0+1, 0
	MOVWF      _trenutnominutaa+1
;MyProject.c,432 :: 		if (trenutnominutaa==zavrsenohranjenje)
	MOVF       R0+1, 0
	XORWF      _zavrsenohranjenje+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main109
	MOVF       _zavrsenohranjenje+0, 0
	XORWF      R0+0, 0
L__main109:
	BTFSS      STATUS+0, 2
	GOTO       L_main75
;MyProject.c,434 :: 		hranjenje=0;
	CLRF       _hranjenje+0
	CLRF       _hranjenje+1
;MyProject.c,435 :: 		portd.rd1=1;
	BSF        PORTD+0, 1
;MyProject.c,436 :: 		lcd_out(2,16,"U");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      16
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr17_MyProject+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,437 :: 		}
L_main75:
;MyProject.c,438 :: 		}
L_main73:
;MyProject.c,441 :: 		temp_res = ADC_Read(10); // Get 10-bit results of AD conversion
	MOVLW      10
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _temp_res+0
	MOVF       R0+1, 0
	MOVWF      _temp_res+1
	CLRF       _temp_res+2
	CLRF       _temp_res+3
;MyProject.c,442 :: 		temp_res = (temp_res *500)/1023;
	MOVF       _temp_res+0, 0
	MOVWF      R0+0
	MOVF       _temp_res+1, 0
	MOVWF      R0+1
	MOVF       _temp_res+2, 0
	MOVWF      R0+2
	MOVF       _temp_res+3, 0
	MOVWF      R0+3
	MOVLW      244
	MOVWF      R4+0
	MOVLW      1
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Mul_32x32_U+0
	MOVLW      255
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _temp_res+0
	MOVF       R0+1, 0
	MOVWF      _temp_res+1
	MOVF       R0+2, 0
	MOVWF      _temp_res+2
	MOVF       R0+3, 0
	MOVWF      _temp_res+3
;MyProject.c,443 :: 		if (staratemp!=temp_res)
	MOVF       _staratemp+3, 0
	XORWF      R0+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main110
	MOVF       _staratemp+2, 0
	XORWF      R0+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main110
	MOVF       _staratemp+1, 0
	XORWF      R0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main110
	MOVF       _staratemp+0, 0
	XORWF      R0+0, 0
L__main110:
	BTFSC      STATUS+0, 2
	GOTO       L_main76
;MyProject.c,445 :: 		staratemp=temp_res;
	MOVF       _temp_res+0, 0
	MOVWF      _staratemp+0
	MOVF       _temp_res+1, 0
	MOVWF      _staratemp+1
	MOVF       _temp_res+2, 0
	MOVWF      _staratemp+2
	MOVF       _temp_res+3, 0
	MOVWF      _staratemp+3
;MyProject.c,446 :: 		bytetostr(temp_res,temp);
	MOVF       _temp_res+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _temp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;MyProject.c,447 :: 		lcd_out(1,12,temp);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _temp+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,448 :: 		}
L_main76:
;MyProject.c,449 :: 		Delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main77:
	DECFSZ     R13+0, 1
	GOTO       L_main77
	DECFSZ     R12+0, 1
	GOTO       L_main77
	DECFSZ     R11+0, 1
	GOTO       L_main77
	NOP
;MyProject.c,452 :: 		}while(1);
	GOTO       L_main0
;MyProject.c,453 :: 		}
	GOTO       $+0
; end of _main
