#line 1 "C:/Users/Nermin/Desktop/AQUA project PIC16f887 default temperatura/MyProject.c"

sbit LCD_RS at RB0_bit;
sbit LCD_EN at RB6_bit;
sbit LCD_D4 at RB2_bit;
sbit LCD_D5 at RB3_bit;
sbit LCD_D6 at RB4_bit;
sbit LCD_D7 at RB5_bit;

sbit LCD_RS_Direction at TRISB0_bit;
sbit LCD_EN_Direction at TRISB6_bit;
sbit LCD_D4_Direction at TRISB2_bit;
sbit LCD_D5_Direction at TRISB3_bit;
sbit LCD_D6_Direction at TRISB4_bit;
sbit LCD_D7_Direction at TRISB5_bit;




unsigned short read_ds1307(unsigned short address)
{
 unsigned short r_data;
 I2C1_Start();
 I2C1_Wr(0xD0);
 I2C1_Wr(address);
 I2C1_Repeated_Start();
 I2C1_Wr(0xD1);
 r_data=I2C1_Rd(0);
 I2C1_Stop();
 return(r_data);
}

void write_ds1307(unsigned short address,unsigned short w_data)
{
 I2C1_Start();

 I2C1_Wr(0xD0);
 I2C1_Wr(address);
 I2C1_Wr(w_data);
 I2C1_Stop();
}

unsigned char BCD2UpperCh(unsigned char bcd)
{
 return ((bcd >> 4) + '0');
}


unsigned char BCD2LowerCh(unsigned char bcd)
{
 return ((bcd & 15) + '0');
}

int Binary2BCD(int a)
{
 int t1, t2;
 t1 = a%10;
 t1 = t1 & 0x0F;
 a = a/10;
 t2 = a%10;
 t2 = 0x0F & t2;
 t2 = t2 << 4;
 t2 = 0xF0 & t2;
 t1 = t1 | t2;
 return t1;
}


int BCD2Binary(int a)
{
 int r,t;
 t = a & 0x0F;
 r = t;
 a = 0xF0 & a;
 t = a >> 4;
 t = 0x0F & t;
 r = t*10 + r;
 return r;
}
unsigned short read_ds1307(unsigned short address );
void write_ds1307(unsigned short address,unsigned short w_data);

long temp_res,staratemp;
char temp[12];
unsigned short second;
unsigned short minute;
unsigned short hour;
unsigned short day;
unsigned short month;
unsigned short year;

int satiuklj=8;
char satiukljj[5];
char trenutnosati[5];
int trenutnosatii;
int pritisnuto=0;
int svetlo=0;
int pritisnutopumpa=0;
int hranjenje=0;
int pritisnutohranjenje=0;
char trenutnominuta[5];
int trenutnominutaa;
int zavrsenohranjenje;
int pritisnutopodesi=0;

unsigned short set_count = 0;
short set;

char time[] = "00:00:00 NR";
char date[] = "00.00.00";

void main()
{
#line 120 "C:/Users/Nermin/Desktop/AQUA project PIC16f887 default temperatura/MyProject.c"
 ANSEL=0;
 ANSELH = 0;
 C1ON_bit = 0;
 C2ON_bit = 0;

 trisd=0;
 portd=0;




 TRISA = 0;
 PORTA = 0;

 trisd=0;
 portd=0;

 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);

 I2C1_Init(100000);

 second = read_ds1307(0);
 write_ds1307(second,0x00);






 lcd_chr(1,15,223);
 lcd_out(1,16,"C");
 lcd_out(2,10,"S:A P:U");
 portd.rd1=1;
 do
 {



 set = 0;
 if(PORTA.ra0 == 1)
 {
 if (pritisnutopodesi==0)
 {
 pritisnutopodesi=1;
 set_count++;
 if (set_count==7)
 {
 lcd_out(2,10,"U/I:   ");
 bytetostr(satiuklj,satiukljj);
 lcd_out(2,14,ltrim(satiukljj));
 }
 if(set_count >= 8)
 {
 lcd_out(2,10,"S:");
 if (svetlo==1)
 lcd_out(2,12,"U");
 if (svetlo==2)
 lcd_out(2,12,"I");
 if (svetlo==0)
 lcd_out(2,12,"A");
 if (portd.rd1==1)
 lcd_out(2,13," P:U");
 else
 lcd_out(2,13," P:I");
 set_count = 0;
 }
 }

 }
 else pritisnutopodesi=0;

 if(set_count)
 {
 if(PORTA.ra1 == 1)
 {
 Delay_ms(100);
 if(PORTA.ra1 == 1)
 set = 1;
 }

 if(PORTA.ra2 == 1)
 {
 Delay_ms(100);
 if(PORTA.ra2 == 1)
 set = -1;
 }
 if(set_count && set)
 {
 switch(set_count)
 {
 case 1:
 hour = BCD2Binary(hour);
 hour = hour + set;


 if(hour >= 24)
 {


 hour=0;
 }
 else if(hour < 0x00)
 {


 hour=23;
 }
 hour = Binary2BCD(hour);
 write_ds1307(2, hour);
 break;
 case 2:
 minute = BCD2Binary(minute);
 minute = minute + set;
 if(minute >= 60)
 minute = 0;
 if(minute < 0)
 minute = 59;
 minute = Binary2BCD(minute);
 write_ds1307(1, minute);
 break;
 case 3:
 if(abs(set))
 write_ds1307(0,0x00);
 break;
 case 4:
 day = BCD2Binary(day);
 day = day + set;
 day = Binary2BCD(day);
 if(day >= 0x32)
 day = 1;
 if(day <= 0)
 day = 0x31;
 write_ds1307(4, day);
 break;
 case 5:
 month = BCD2Binary(month);
 month = month + set;
 month = Binary2BCD(month);
 if(month > 0x12)
 month = 1;
 if(month <= 0)
 month = 0x12;
 write_ds1307(5,month);
 break;
 case 6:
 year = BCD2Binary(year);
 year = year + set;
 year = Binary2BCD(year);
 if(year <= -1)
 year = 0x99;
 if(year >= 0x50)
 year = 0;
 write_ds1307(6, year);
 break;

 case 7:
 satiuklj+=set;

 if(satiuklj>=24)
 {
 satiuklj=0;
 lcd_out(2,15," ");
 }

 inttostr(satiuklj,satiukljj);
 lcd_out(2,14,ltrim(satiukljj));
 break;
 }
 }
 }





 second = read_ds1307(0);
 minute = read_ds1307(1);
 hour = read_ds1307(2);
 day = read_ds1307(4);
 month = read_ds1307(5);
 year = read_ds1307(6);


 time[0] = BCD2UpperCh(hour);
 time[1] = BCD2LowerCh(hour);
 time[3] = BCD2UpperCh(minute);
 time[4] = BCD2LowerCh(minute);
 time[6] = BCD2UpperCh(second);
 time[7] = BCD2LowerCh(second);

 date[0] = BCD2UpperCh(day);
 date[1] = BCD2LowerCh(day);
 date[3] = BCD2UpperCh(month);
 date[4] = BCD2LowerCh(month);
 date[6] = BCD2UpperCh(year);
 date[7] = BCD2LowerCh(year);


 Lcd_out(1, 1, time);
 Lcd_out(2, 1, date);

 trenutnosati[0]=time[0];
 trenutnosati[1]=time[1];

 trenutnosatii=atoi(trenutnosati);


 if ((trenutnosatii>=satiuklj) && (trenutnosatii<satiuklj+12))
 {
 if ((svetlo==0) && (hranjenje==0))
 {
 portd.rd0=1;

 }
 }
 else
 {
 if ((svetlo==0) && (hranjenje==0))
 portd.rd0=0;
 }


 if (porta.ra3==1)
 {
 if (pritisnuto==0)
 {
 pritisnuto=1;
 svetlo++;
 if (svetlo==1)
 {
 portd.rd0=1;
 lcd_out(2,12,"U");
 }
 if (svetlo==2)
 {
 portd.rd0=0;
 lcd_out(2,12,"I");
 }
 if (svetlo==3)
 {
 lcd_out(2,12,"A");
 svetlo=0;
 }
 }
 }
 else pritisnuto=0;



 if ((porta.ra4==1) && (hranjenje==0))
 {
 if (pritisnutopumpa==0)
 {
 pritisnutopumpa=1;
 if (portd.rd1==0)
 {
 portd.rd1=1;
 lcd_out(2,16,"U");
 }
 else
 {
 portd.rd1=0;
 lcd_out(2,16,"I");
 }
 }
 }
 else pritisnutopumpa=0;



 if (porta.ra5==1)
 {
 if (pritisnutohranjenje==0)
 {
 pritisnutohranjenje=1;

 trenutnominuta[0]=BCD2UpperCh(minute);
 trenutnominuta[1]=BCD2LowerCh(minute);

 trenutnominutaa=atoi(trenutnominuta);

 if ((trenutnominutaa+10)<=59)
 {
 zavrsenohranjenje=trenutnominutaa+10;
 hranjenje=1;

 }
 else
 {
 zavrsenohranjenje=(trenutnominutaa+10)-60;
 hranjenje=1;

 }
 }
 }
 else pritisnutohranjenje=0;

 if (hranjenje==1)
 {
 if (trenutnominutaa!=zavrsenohranjenje)
 {
 portd.rd0=1;
 portd.rd1=0;
 lcd_out(2,16,"I");
 }
 trenutnominuta[0]=BCD2UpperCh(minute);
 trenutnominuta[1]=BCD2LowerCh(minute);

 trenutnominutaa=atoi(trenutnominuta);

 if (trenutnominutaa==zavrsenohranjenje)
 {
 hranjenje=0;
 portd.rd1=1;
 lcd_out(2,16,"U");
 }
 }


 temp_res = ADC_Read(10);
temp_res = (temp_res *500)/1023;
if (staratemp!=temp_res)
{
staratemp=temp_res;
bytetostr(temp_res,temp);
lcd_out(1,12,temp);
}
 Delay_ms(100);


 }while(1);
}
